/*-
 * %%----------------------------------------------------------------------------------------------
 * Solidify Framework - Solidify Index - InMemoryIndexMetadataService.java
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

package ch.unige.solidify.index.indexing.inmemory;

import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;
import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Service;

import ch.unige.solidify.IndexDefinitionList;
import ch.unige.solidify.IndexProperties;
import ch.unige.solidify.controller.IndexController;
import ch.unige.solidify.index.settings.IndexingSettingsService;
import ch.unige.solidify.model.index.IndexMetadata;
import ch.unige.solidify.model.index.IndexSettings;

@Profile("index-inmemory")
@Service
@ConditionalOnBean(IndexController.class)
public class InMemoryIndexMetadataService extends InMemoryService<IndexMetadata> {
  public InMemoryIndexMetadataService(
          IndexProperties indexProperties,
          IndexingSettingsService<IndexSettings> settingsService,
          IndexDefinitionList indexList,
          IndexData indexData) {
    super(indexProperties, settingsService, indexList, indexData);
  }

  @Override
  protected IndexMetadata getMetadataObject() {
    return new IndexMetadata();
  }

  @Override
  public String getIndexName(String indexName) {
    return indexName;
  }

}
